@each $index, $size in $spacing-sizes {
  @each $dir, $name in $spacing-directions {
    @if $name == '' {
      .m#{$dir}-#{$index} {
        margin: $size $size !important;
      }
    } @else if $name == x {
      .m#{$dir}-#{$index} {
        margin-right: $size !important;
        margin-left: $size !important;
      }
    } @else if $name == y {
      .m#{$dir}-#{$index} {
        margin-top: $size !important;
        margin-bottom: $size !important;
      }
    } @else {
      .m#{$dir}-#{$index} {
        margin-#{$name}: $size !important;
      }
    }
  }

  @each $dir, $name in $spacing-directions {
    @if $name == '' {
      .p#{$dir}-#{$index} {
        padding: $size $size !important;
      }
    } @else if $name == x {
      .p#{$dir}-#{$index} {
        padding-right: $size !important;
        padding-left: $size !important;
      }
    } @else if $name == y {
      .p#{$dir}-#{$index} {
        padding-top: $size !important;
        padding-bottom: $size !important;
      }
    } @else {
      .p#{$dir}-#{$index} {
        padding-#{$name}: $size !important;
      }
    }
  }
}

.m-auto {
  margin: auto !important;
}

.mt-auto {
  margin-top: auto !important;
}

.mr-auto {
  margin-right: auto !important;
}

.mb-auto {
  margin-bottom: auto !important;
}

.ml-auto {
  margin-left: auto !important;
}

.mx-auto {
  margin-right: auto !important;
  margin-left: auto !important;
}

.my-auto {
  margin-top: auto !important;
  margin-bottom: auto !important;
}
